Loading...
Searching...
No Matches
gridfire::io::generative Namespace Reference

## Functions

std::string | get_mesa_iso_name (const fourdst::atomic::Species &species)
bool | is_proton (const fourdst::atomic::Species &species)
bool | is_alpha (const fourdst::atomic::Species &species)
bool | is_neutron (const fourdst::atomic::Species &species)
std::string | get_mesa_reaction_name (const reaction::Reaction &reaction)
std::string | export_engine_to_mesa_net (const engine::DynamicEngine &engine, engine::scratch::StateBlob &ctx, bool skip_weak)

## Function Documentation

## export_engine_to_mesa_net()

std::string gridfire::io::generative::export_engine_to_mesa_net | ( | const engine::DynamicEngine & | engine,
|  | engine::scratch::StateBlob & | ctx,
|  | bool | skip_weak )

## get_mesa_iso_name()

std::string gridfire::io::generative::get_mesa_iso_name | ( | const fourdst::atomic::Species & | species | ) |

## get_mesa_reaction_name()

std::string gridfire::io::generative::get_mesa_reaction_name | ( | const reaction::Reaction & | reaction | ) |

## is_alpha()

bool gridfire::io::generative::is_alpha | ( | const fourdst::atomic::Species & | species | ) |

## is_neutron()

bool gridfire::io::generative::is_neutron | ( | const fourdst::atomic::Species & | species | ) |

## is_proton()

bool gridfire::io::generative::is_proton | ( | const fourdst::atomic::Species & | species | ) |